/* files.h */
#ifndef _FILES_H
#define _FILES_H

struct config_keyword {
  const char *keyword;
  int (* const handler)(const char *line, void *var);
  void *var;
  const char *def;
};

#if 0
int read_config(const char *file);
#endif
int uci_read_config(char *uci_section);

void write_leases(void);
void read_leases(const char *file);
void uci_write_leases(void);
void uci_read_leases(void);
void uci_read_static_leases(void);

struct option_set *find_option(struct option_set *opt_list, char code);

#endif
